Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Nettle Trap Causing Glib to Fail
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Installing Gentoo
View previous topic :: View next topic  
Author Message
mmstick
n00b
n00b


Joined: 17 Aug 2016
Posts: 5

PostPosted: Sat Aug 27, 2016 1:01 am    Post subject: Nettle Trap Causing Glib to Fail Reply with quote

Having an issue where I can't install any of the packages that require glib/gobject-introspection as a result of Nettle:

Code:

[103526.386706] traps: g-ir-compiler[27509] trap invalid opcode ip:7f46c5b8b033 sp:7ffcf18df7b8 error:0 in libnettle.so.6.2[7f46c5b81000+36000]
[103526.387336] traps: g-ir-compiler[27510] trap invalid opcode ip:7f7b176f7033 sp:7ffe2da66658 error:0 in libnettle.so.6.2[7f7b176ed000+36000]
[103526.409165] traps: g-ir-compiler[27543] trap invalid opcode ip:7f59a9eb1033 sp:7ffd9e6db118 error:0 in libnettle.so.6.2[7f59a9ea7000+36000]
[103526.528343] traps: python2.7[27511] trap invalid opcode ip:7ff4a1f51033 sp:7ffffdc6e0b8 error:0 in libnettle.so.6.2[7ff4a1f47000+36000]
[104014.370752] traps: x86_64-pc-linux[12794] trap invalid opcode ip:7fb8f343a033 sp:7ffdb45c7668 error:0 in libnettle.so.6.2[7fb8f3430000+36000]
[104014.413775] traps: x86_64-pc-linux[12815] trap invalid opcode ip:7ff8f73e3033 sp:7ffe8e11f8b8 error:0 in libnettle.so.6.2[7ff8f73d9000+36000]


Code:

 * Updating GIO modules cache ...
/var/tmp/portage/dev-libs/glib-2.46.2-r3/temp/environment: line 3174: 12794 Illegal instruction     ${updater} "${EROOT%/}"/usr/$(get_libdir)/gio/modules                                                                                                 [ !! ]
 * abi_x86_64.amd64: running multilib_pkg_postinst
 * Updating GIO modules cache ...
/var/tmp/portage/dev-libs/glib-2.46.2-r3/temp/environment: line 3174: 12815 Illegal instruction     ${updater} "${EROOT%/}"/usr/$(get_libdir)/gio/modules                                                                                                 [ !! ]
 * ERROR: dev-libs/glib-2.46.2-r3::gentoo failed (postinst phase):
 *   Update GIO modules cache failed (for amd64)
Back to top
View user's profile Send private message
Hu
Moderator
Moderator


Joined: 06 Mar 2007
Posts: 14390

PostPosted: Sat Aug 27, 2016 2:08 am    Post subject: Reply with quote

Please post the output of emerge --info dev-libs/nettle ; cat /proc/cpuinfo.
Back to top
View user's profile Send private message
mmstick
n00b
n00b


Joined: 17 Aug 2016
Posts: 5

PostPosted: Wed Aug 31, 2016 4:50 am    Post subject: Reply with quote

Posting back to say that I've found the issue. Although my laptop has a sandybridge processor, it doesn't support all of the features of sandybridge, notably AES. The nettle package is one of the few packages that takes aes as a CPU USE flag, and it was having issues because of that. Taking it out of my CPU_FLAGS_X86 variable fixed that.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Installing Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum